[python 2.6 transition] python-wxglade doesn't work with python2.6

Bug #341633 reported by Dimitrios Symeonidis
10
Affects Status Importance Assigned to Milestone
wxglade (Ubuntu)
Fix Released
Medium
Unassigned

Bug Description

Binary package hint: python-wxglade

in latest jaunty, when trying to run python-wxglade, I get:
python: can't open file '/usr/lib/python2.6/site-packages/wxglade/wxglade.py': [Errno 2] No such file or directory

instead, the file is under /usr/lib/python2.6/dist-packages/wxglade/wxglade.py

the error is in file /usr/bin/wxglade, which reads:
#!/bin/sh

pv=`python -c 'import sys; print sys.version[:3]'`
exec python /usr/lib/python$pv/site-packages/wxglade/wxglade.py "$@"
#!/bin/sh

i have verified that, changing site-packages to dist-packages fixes the issue

Related branches

description: updated
Changed in wxglade:
status: New → Confirmed
assignee: nobody → surfaz28
status: Confirmed → In Progress
Revision history for this message
Festor (festor-deactivatedaccount) wrote :

wxglade_0.6.3-0.1ubuntu2 debdiff attached

Changelog:

wxglade (0.6.3-0.1ubuntu2~ppa1) jaunty; urgency=low

  * debian/rules, Makefile and wxglade files
   - Changed site- by dist- for Python 2.6 transition

 -- Surfaz Gemon Meme <email address hidden> Sun, 29 Mar 2009 18:04:26 +0000

Changed in wxglade:
assignee: surfaz28 → nobody
status: In Progress → Confirmed
Revision history for this message
Alessio Treglia (quadrispro) wrote :

What do you think about adding the support for a patch system and using it in order to patch upstream source files like Makefile and wxglade?

Changed in wxglade (Ubuntu):
importance: Undecided → Medium
Revision history for this message
Andrea Gasparini (gaspa) wrote :

if you apply this specific change, it won't work with python2.5 and previous.

Revision history for this message
Alessio Treglia (quadrispro) wrote :

It's quite normal, XS-Python-Version field value is set to current then we need to build it with python 2.6.

Patch needs to be adjusted, I'm on it.

Changed in wxglade (Ubuntu):
assignee: nobody → quadrispro
status: Confirmed → In Progress
Revision history for this message
Andrea Gasparini (gaspa) wrote :

I do not agree. If we can provide a wider support, why the hell don't we make it?
It doesn't seem complicated, and if some people need to install python2.5 doesn't have to make hard hack to make it work...

anyway, you're the man on it.

Revision history for this message
Alessio Treglia (quadrispro) wrote :

Attaching debdiff

Changed in wxglade (Ubuntu):
assignee: Alessio Treglia (quadrispro) → nobody
status: In Progress → Confirmed
Revision history for this message
Alessio Treglia (quadrispro) wrote :

Andrea, your idea could be good, but I think it would be better asking debian maintainer about it.

Revision history for this message
Alessio Treglia (quadrispro) wrote : Re: [Bug 341633] [NEW] [python 2.6 transition] python-wxglade doesn't work with python2.6

--
Alessio Treglia <email address hidden>
Ubuntu MOTU Developer | Homepage: http://www.alessiotreglia.com
0FEC 59A5 E18E E04F 6D40 593B 45D4 8C7C DCFC 3FD0

Revision history for this message
Alessio Treglia (quadrispro) wrote :

New debdiff fixes bug #320845, too.

Iulian Udrea (iulian)
Changed in wxglade (Ubuntu):
status: Confirmed → New
Revision history for this message
Nathan Handler (nhandler) wrote :

I am changing the Status back to 'New' as 'Confirmed' is used for bugs that have already received a Feature Freeze exception. I am also unsubscribing ubuntu-universe-sponsors until an exception has been granted.

Revision history for this message
Alessio Treglia (quadrispro) wrote :

Any progress here?

Revision history for this message
Alessio Treglia (quadrispro) wrote :
Revision history for this message
Luca Falavigna (dktrkranz) wrote :

Fine for me.

Revision history for this message
Alessio Treglia (quadrispro) wrote :

Uploaded, sitting in the queue.

Changed in wxglade (Ubuntu):
status: New → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wxglade - 0.6.3-0.1ubuntu3

---------------
wxglade (0.6.3-0.1ubuntu3) jaunty; urgency=low

  * Python 2.6 transition (LP: #341633):
    - Makefile,debian/rules:
      + Include /usr/share/python/python.mk.
      + Use py_sitename macro to detect the right python modules path.
    - debian/dirs:
      + Don't install python2.3 empty directories.
  * Create symbolic link between /usr/share/doc/python-wxglade/ and
    /usr/share/pyshared/wxglade/docs (LP: #320845).

 -- Alessio Treglia <email address hidden> Thu, 09 Apr 2009 15:46:12 +0200

Changed in wxglade (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers